Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class EntityIdentifier

    java.lang.Object
      org.jasig.portal.EntityIdentifier

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  CompositeEntityIdentifier

    public class EntityIdentifier

extends java.lang.Object
implements java.io.Serializable

A key and type that uniquely identify a portal entity.

Version:
  $Revision: 1.5 $
Author:
  Dan Ellentuck
See Also:
  `IBasicEntity`, Serialized Form

Field Summary
`protected java.lang.String` | `key`
`protected java.lang.Class` | `type`

Constructor Summary
`EntityIdentifier(java.lang.String entityKey, java.lang.Class entityType)` KeyTypePair constructor.

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getKey()`
`java.lang.Class` | `getType()`
`int` | `hashCode()`
`java.lang.String` | `toString()` Returns a String that represents the value of this object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### key

    protected java.lang.String key

### type

    protected java.lang.Class type

Constructor Detail

### EntityIdentifier

    public EntityIdentifier(java.lang.String entityKey,
                            java.lang.Class entityType)

  KeyTypePair constructor.

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - the Object to compare with
  Returns:
    true if these Objects are equal; false otherwise.

### getKey

    public java.lang.String getKey()

  Returns:
    java.lang.String

### getType

    public java.lang.Class getType()

  Returns:
    java.lang.Class

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    an integer hash code for the receiver

### toString

    public java.lang.String toString()

  Returns a String that represents the value of this object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of the receiver

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD